﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	public class Boussoler extends Sprite
	{
		private var col:uint = 200;
		private var line:uint = 10;
		private var clip:Sprite;
		private var angle:Number;
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			var nbrl:Number = stage.stageWidth/col;
			var nbrh:Number = stage.stageHeight/line;
			for(var i:uint=1;i<line;i++){
				for(var j:uint=1;j<col;j++){
					clip = new Sprite();
					clip.graphics.lineStyle(0.5,0xffffff);
					clip.graphics.moveTo(100,-10);
					clip.graphics.lineTo(10,10);
					clip.x = j*nbrl;
					clip.y = i*nbrh;
					addChild(clip);
					clip.addEventListener(Event.ENTER_FRAME,enterHandler);
				}
			}
		}
		
		private function enterHandler(e:Event):void
		{
			angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			e.currentTarget.rotation = angle*360/Math.PI+Math.sin(angle)*500;
			e.currentTarget.scaleX = angle;
		}
	}
}